OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.ARB.ClipControl

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBClipControl :: MonadIO m => m Bool
- gl_ARB_clip_control :: Bool
- gl_CLIP_DEPTH_MODE :: GLenum
- gl_CLIP_ORIGIN :: GLenum
- gl_LOWER_LEFT :: GLenum
- gl_NEGATIVE_ONE_TO_ONE :: GLenum
- gl_UPPER_LEFT :: GLenum
- gl_ZERO_TO_ONE :: GLenum
- glClipControl :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetARBClipControl :: MonadIO m => m Bool

Is the ARB_clip_control extension supported?

gl_ARB_clip_control :: Bool

Is the ARB_clip_control extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBClipControl` in those cases instead.

# Enums

gl_CLIP_DEPTH_MODE :: GLenum

gl_CLIP_ORIGIN :: GLenum

gl_LOWER_LEFT :: GLenum

gl_NEGATIVE_ONE_TO_ONE :: GLenum

gl_UPPER_LEFT :: GLenum

gl_ZERO_TO_ONE :: GLenum

# Functions

glClipControl

Arguments

:: MonadIO m |
=> GLenum | `origin`.
-> GLenum | `depth`.
-> m () |

Manual page for OpenGL 4.x.